## org.eclipse.datatools.sqltools.sqleditor
Interface ISQLEditorInput

All Known Implementing Classes:
  SQLEditorStorageEditorInput

public interface ISQLEditorInput

This interface is a mix-in interface to be used with an `IEditorInput` to add additional information to the editor input for the SQL editor.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()`
`java.lang.String` `getId()` Returns the unique identifier that distinguishes this editor input
`boolean` `isConnectionRequired()` Returns whether database connection is required for this editor input to exist.
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)`

Method Detail

### setConnectionInfo

    public void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

### getConnectionInfo

    public ISQLEditorConnectionInfo getConnectionInfo()

### isConnectionRequired

    public boolean isConnectionRequired()

  Returns whether database connection is required for this editor input to exist.

  Returns:

### getId

    public java.lang.String getId()

  Returns the unique identifier that distinguishes this editor input

  Returns:
    A string id

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.